#!/bin/bash

echo "🚀 Deploying MCP Portfolio Server..."

# Build the image
echo "📦 Building Docker image..."
docker build -t srikanth-karthi/srikanth-mcp-portfolio:latest .
docker tag srikanth-karthi/srikanth-mcp-portfolio:latest srikanth-karthi/srikanth-mcp-portfolio:1.0.0

# Push to Docker Hub
echo "🐳 Pushing to Docker Hub..."
echo "Please run: docker login"
echo "Then run: docker push srikanth-karthi/srikanth-mcp-portfolio:latest"
echo "And: docker push srikanth-karthi/srikanth-mcp-portfolio:1.0.0"

# Build uvx package
echo "📦 Building uvx package..."
uvx --from build pyproject-build --installer uv

echo "✅ Deployment preparation complete!"
echo ""
echo "🐳 Docker Commands:"
echo "  docker login"
echo "  docker push srikanth-karthi/srikanth-mcp-portfolio:latest"
echo "  docker push srikanth-karthi/srikanth-mcp-portfolio:1.0.0"
echo ""
echo "📦 uvx Package Commands:"
echo "  uvx --from . mcp-portfolio-server"
echo "  # Or for PyPI: uvx mcp-portfolio-server"
echo ""
echo "🚀 Usage:"
echo "  docker run -it --rm -v \$(pwd)/db:/app/db srikanth-karthi/srikanth-mcp-portfolio"
echo "  uvx mcp-portfolio-server"